<!--
var gaia_loginForm;
if (document.getElementById) {
  gaia_loginForm = document.getElementById("gaia_loginform");
} else if (window.gaia_loginform) {
  gaia_loginForm = window.gaia_loginform;
}

var gaia_emailHasKeypress = false;
if (gaia_loginForm && gaia_loginForm.Email) {
  gaia_loginForm.Email.onkeypress = function() {
    gaia_emailHasKeypress = true;
  }
}

function gaia_setFocus() {
  if (gaia_loginForm) {
    if (gaia_loginForm.Email && !gaia_loginForm.Email.value) {
      gaia_loginForm.Email.focus();
    } else if (gaia_loginForm.Passwd && !gaia_emailHasKeypress) {
      gaia_loginForm.Passwd.focus();
    }
    
  }
}

gaia_setFocus();
-->